<?php

/**
 * ThreeFortymedia Featured Posts Vars
 *
 * @since 1.1.8
 * @version 1.0
 */

?>

<?php 

if ( is_category() ) {

	$post_num = get_theme_mod( 'ruki_category_featured_num', 3 );
	$post_cols = ( get_theme_mod( 'ruki_category_featured_cols', 3 ) <= $post_num ? get_theme_mod( 'ruki_category_featured_cols', 3 ) : $post_num );
	$cols_class = 'cols-' . $post_cols;
	$has_avatar = ( get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) ? ' has-avatar' : '' );
	$thumbnail = get_theme_mod( 'ruki_category_featured_image_size', 'landscape' );
	$post_style = ( has_post_format('video') ? 'default' : get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) );
	$has_category_meta = ( get_theme_mod( 'ruki_category_featured_entry_meta_category', true ) ? ' has-category-meta' : '' );
	// Check for after title meta
	$has_after_title_meta = '';
	if ( get_theme_mod( 'ruki_category_featured_entry_meta_author', true ) || get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) || get_theme_mod( 'ruki_category_featured_entry_meta_date', true ) || get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) || get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false )) {
		$has_after_title_meta = ' has-meta-after-title';
	}
	$has_title = ( get_theme_mod( 'ruki_category_featured_title') ? ' has-title' : '' );
	$has_excerpt = ( get_theme_mod( 'ruki_category_featured_excerpt', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' ? ' has-excerpt' : '' );
	$has_read_more = ( get_theme_mod( 'ruki_category_featured_read_more', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' ? ' has-read-more' : '' );
	$has_meta_read_time = ( get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false ) ? ' has-meta-read-time' : '' );
	$show_thumbnail = get_theme_mod( 'ruki_category_featured_thumbnail', true );
	$show_video = get_theme_mod( 'ruki_category_featured_video', true );
	$layout = ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) ? get_theme_mod( 'ruki_category_featured_layout', 'grid' ) : '' );
	$full_width = ( apply_filters( 'ruki_featured_posts_full_width_support', false ) && get_theme_mod( 'ruki_category_featured_full_width', false ) && $layout === 'carousel' ? ' full-width' : '' );
	$data_full_width = ( '' !== $full_width ? true : false );
	$slides_to_show = get_theme_mod( 'ruki_category_featured_cols', 3 );
	if ( $slides_to_show  > apply_filters( 'ruki_featured_posts_max_cols', 3 ) ) {
		$slides_to_show = apply_filters( 'ruki_featured_posts_max_cols', 3 );
	}
	if ( ! get_theme_mod( 'ruki_category_featured_full_width', false ) && $slides_to_show > 4 ) {
		$slides_to_show = 4;
	}
	$active_status = ( $slides_to_show === $post_num ? 'inactive' : 'active' );
	$arrows = ( get_theme_mod( 'ruki_category_featured_arrows', true ) ? 'true' : 'false' );

} elseif ( is_home() || is_front_page() ) {

	$post_num = get_theme_mod( 'ruki_home_featured_num', 3 );
	$post_cols = ( get_theme_mod( 'ruki_home_featured_cols', 3 ) <= $post_num ? get_theme_mod( 'ruki_home_featured_cols', 3 ) : $post_num );
	$cols_class = 'cols-' . $post_cols;
	$post_offset = get_theme_mod( 'ruki_home_featured_offset', 0 );
	$post_type = get_theme_mod( 'ruki_home_featured_type', 'recent' );
	$post_cat = get_theme_mod( 'ruki_home_featured_post_cat', '' );
	$post_in = ( $post_type === 'post_ids' && '' !== get_theme_mod( 'ruki_home_featured_post_ids', '' ) ? get_theme_mod( 'ruki_home_featured_post_ids', '' ) : '' );
	$post_not_in = ( $post_type !== 'post_ids' && '' !== get_theme_mod( 'ruki_home_featured_exclude_post_ids', '' ) ? get_theme_mod( 'ruki_home_featured_exclude_post_ids', '' ) : '' );
	if ( '' !== $post_not_in ) {
		$post_not_in = explode(',', $post_not_in );
	}
	$tag_in = ( '' !== get_theme_mod( 'ruki_home_featured_tag_ids', '' ) ? get_theme_mod( 'ruki_home_featured_tag_ids', '' ) : '' );
	if ( '' !== $tag_in ) {
		$tag_in = explode(',', $tag_in );
	}
	$post_format = get_theme_mod( 'ruki_home_featured_post_format', '' );
	// Popular posts
	$order_by = ( $post_type === 'popular' ? 'comment_count' : '' );
	if ( $post_type === 'random' ) {
		$order_by = 'rand';
	}
	$post_style = ( has_post_format('video') ? 'default' : get_theme_mod( 'ruki_home_featured_loop_style', 'default' ) );
	$has_avatar = ( get_theme_mod( 'ruki_home_featured_entry_meta_author_avatar', false ) ? ' has-avatar' : '' );
	$thumbnail = get_theme_mod( 'ruki_home_featured_image_size', 'landscape' );
	$has_category_meta = ( get_theme_mod( 'ruki_home_featured_entry_meta_category', true ) ? ' has-category-meta' : '' );
	// Check for after title meta
	$has_after_title_meta = '';
	if ( get_theme_mod( 'ruki_home_featured_entry_meta_author', true ) || get_theme_mod( 'ruki_home_featured_entry_meta_author_avatar', false ) || get_theme_mod( 'ruki_home_featured_entry_meta_date', true ) || get_theme_mod( 'ruki_home_featured_entry_meta_comment_count', true ) || get_theme_mod( 'ruki_home_featured_entry_meta_read_time', false )) {
		$has_after_title_meta = ' has-meta-after-title';
	}
	$has_title = ( get_theme_mod( 'ruki_home_featured_title') ? ' has-title' : '' );
	$has_excerpt = ( get_theme_mod( 'ruki_home_featured_excerpt', false ) && get_theme_mod( 'ruki_home_featured_loop_style', 'default' ) !== 'cover' ? ' has-excerpt' : '' );
	$has_read_more = ( get_theme_mod( 'ruki_home_featured_read_more', false ) && get_theme_mod( 'ruki_home_featured_loop_style', 'default' ) !== 'cover' ? ' has-read-more' : '' );
	$has_meta_read_time = ( get_theme_mod( 'ruki_home_featured_entry_meta_read_time', false ) ? ' has-meta-read-time' : '' );
	$show_thumbnail = get_theme_mod( 'ruki_home_featured_thumbnail', true );
	$show_video = get_theme_mod( 'ruki_home_featured_video', true );
	$layout = ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) ? get_theme_mod( 'ruki_home_featured_layout', 'grid' ) : '' );
	$full_width = ( apply_filters( 'ruki_featured_posts_full_width_support', false ) && get_theme_mod( 'ruki_home_featured_full_width', false ) && $layout === 'carousel' ? ' full-width' : '' );
	$data_full_width = ( '' !== $full_width ? true : false );
	$slides_to_show = get_theme_mod( 'ruki_home_featured_cols', 3 );
	if ( $slides_to_show  > apply_filters( 'ruki_featured_posts_max_cols', 3 ) ) {
		$slides_to_show = apply_filters( 'ruki_featured_posts_max_cols', 3 );
	}
	if ( ! get_theme_mod( 'ruki_home_featured_full_width', false ) && $slides_to_show > 4 ) {
		$slides_to_show = 4;
	}
	$active_status = ( $slides_to_show === $post_num ? 'inactive' : 'active' );
	$arrows = ( get_theme_mod( 'ruki_home_featured_arrows', true ) ? 'true' : 'false' );
}

// Override vars
if ( $slides_to_show > $post_num ) {
		$slides_to_show = $post_num;
	}
if ( $full_width && $slides_to_show === $post_num ) {
	$slides_to_show = $slides_to_show - 1;
}

if ( $layout === 'carousel' && $post_num === 1 ) {
	$layout = 'grid';
}
if ( $layout === 'carousel' && $full_width ) {
	$cols_class = 'cols-' . ( $post_cols - 1 );
}

// Grid split class
$breaknum = floor( $post_num / $post_cols );
$breaknum = $breaknum * $post_cols;
$grid_split = (int)$post_num - (int)$breaknum;
$split_class = ( $layout !== 'carousel' && 0 !== $grid_split ? ' split-' . $post_cols . '-' . $grid_split : '' );
// Breakpoint grid split classes
$break_three = floor($post_num / 3);
$break_three = $post_num - ($break_three * 3);
$break_three_class = ( $post_cols > 2 && $post_num % 3 != 0 ? ' break-3-split-3-' . $break_three . '' : '' );
$break_two = floor($post_num / 2);
$break_two = $post_num - ($break_two * 2);
$break_two_class = ( $post_cols > 2 && $post_num % 2 != 0 ? ' break-2-split-2-' . $break_two . '' : '' );

$break_class = $break_three_class . $break_two_class;

// If the theme slug is changed specify the correct slug in theme functions
$custom_theme_slug = apply_filters( 'ruki_custom_theme_slug', '' );

 ?>