<?php

/**
 * ThreeForty Featured Posts Plugin (Category Featured Posts)
 *
 * @since 1.0
 * @version 1.4
 */

?>

<?php 

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! is_category() ) {
	return; // Return of not archive
}

// Include vars
include( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'inc/vars.php' );
?>

<?php if ( is_category() && ! is_paged() && get_theme_mod( 'ruki_category_featured', true ) )  : ?>
	
<?php 

// Theme slug/textDomain
$theme = wp_get_theme();
$theme_slug =  $theme->get( 'TextDomain' );

/**
 * Define some query arg variables
 */

// Fallback if no transient data

$category = get_queried_object();

$query_args = array(
    'post_type'      => 'post',
    'posts_per_page' => $post_num,
    'cat' => $category->term_id,
    'meta_key' => 'ruki_featured_post', // Featured Posts
	'meta_value' => 1,
    'post_status' => array(      
				'publish', // A published post or page.
				),

);
if ( ! is_customize_preview() ) {
	// Get existing transient data
	if ( false === ( $posts_query = get_transient( 'ruki_category_' . $category->term_id . '_featured' ) ) ) {
		// NO transient data, run the query
		$posts_query = new WP_Query( $query_args );

		if( $posts_query->have_posts( ) )  {

			$post_ids = wp_list_pluck( $posts_query->posts, 'ID' );
			// Save the results in a transient for 24 hours
			set_transient( 'ruki_category_' . $category->term_id . '_featured', $posts_query, 24 * HOUR_IN_SECONDS );
			set_transient( 'ruki_category_' . $category->term_id . '_featured_exclude_ids', $post_ids, 24 * HOUR_IN_SECONDS );
			
		}
	}
} else {
	$posts_query = new WP_Query( $query_args );
}

    if( $posts_query->have_posts( ) ) :

    $count = 0;

    if ( $posts_query->found_posts < $post_num ) {

    	$post_cols = ( $posts_query->found_posts >= $post_cols ? $post_cols : $posts_query->found_posts );
    	$cols_class = 'cols-' . $posts_query->found_posts;
    	$post_num = $posts_query->found_posts;

    	// Re-calculate the breakpoint split class with found posts
		$break_three = floor($posts_query->found_posts / 3);
		$break_three = $posts_query->found_posts - ($break_three * 3);
		$break_three_class = ( $post_cols === 4 && $posts_query->found_posts % 3 != 0 ? ' break-3-split-3-' . $break_three . '' : '' );
		$break_two = floor($posts_query->found_posts / 2);
		$break_two = $posts_query->found_posts - ($break_two * 2);
		$break_two_class = ( $post_cols === 3 && $posts_query->found_posts % 2 != 0 ? ' break-2-split-2-' . $break_two . '' : '' );
		$break_class = $break_three_class . $break_two_class;

    	// Re-calculate Grid split class
		$breaknum = floor( $posts_query->found_posts / $post_cols );
		$breaknum = $breaknum * $post_cols;
		$grid_split = (int)$posts_query->found_posts - (int)$breaknum;
		$split_class = ( $layout !== 'carousel' && 0 !== $grid_split ? ' split-' . $post_cols . '-' . $grid_split : '' );

		// Check that we have enough featured posts for this category to run the carousel
    	if ( $posts_query->found_posts == 1 ) {
    		$layout = 'grid';
    		$cols_class = 'cols-1';
    		$full_width = '';
    	} else {
    		$slides_to_show = ( $data_full_width ? $posts_query->found_posts - 1 : $posts_query->found_posts );
    		$post_cols = 'cols-' . $posts_query->found_posts;
    		if ( $data_full_width && $slides_to_show == 1 ) {
    			// After fallback checks we only have two posts. Not enough for a full width carousel
    			$slides_to_show = $posts_query->found_posts;
    			$full_width = '';
    			$data_full_width = false;
    		}
    	}

    }

     ?>

    <?php echo apply_filters( 'ruki_category_featured_wrapper', '' ); ?>

	<div id="ruki-featured-posts" class="content-area flex-grid ruki-featured-posts ruki-category-featured <?php echo esc_attr( $cols_class . $split_class . $break_class . $has_title . ' ' . $layout . $full_width ); ?>" data-poststyle="<?php echo esc_attr( $post_style ); ?>" data-slides="<?php echo esc_attr( $post_num ); ?>" data-posts="<?php echo esc_attr( $post_num ); ?>" data-slidestoshow="<?php echo esc_attr( $slides_to_show ); ?>" data-thumbnail="<?php echo esc_attr( $thumbnail ); ?>" data-initial-status="<?php echo esc_attr( $active_status ); ?>" data-fullwidth="<?php echo esc_attr( $data_full_width ); ?>" data-arrows="<?php echo esc_attr( $arrows ); ?>">

		<?php 

			if ( get_theme_mod( 'ruki_category_featured_title' ) )  {

				echo '<div class="section-header">';
				if ( get_theme_mod( 'ruki_category_featured_title' ) ) {
						echo '<h2 class="page-title">' . esc_attr( get_theme_mod( 'ruki_category_featured_title', '' ) ) . '</h2>';
				}
				echo '</div>';

			} 

		?>

		<?php

			// Open slick carousel wrapper if active
    		if ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) && $layout === 'carousel' ) :  ?>

    			<div class="slick carousel-wrapper <?php echo esc_attr( $full_width ); ?>">

    	<?php endif; ?>

 
    <?php 

    /* Start the Loop */

    while ( $posts_query->have_posts( ) ) : $posts_query->the_post(); ?>

    	<?php

    	$count++;

    	// Some in loop classes
    	$thumbnail_class = ( '' !== get_the_post_thumbnail() && $show_thumbnail ? 'has-post-thumbnail' : '' );
    	$thumbnail_size = ' thumbnail-' . $thumbnail;
    	$even_odd_class = ( $count % 2 == 0 ? ' even' : ' odd' );
    	$count_class = ' post-' . $count;
    	$post_class = $thumbnail_class . $thumbnail_size . $even_odd_class . $count_class . $has_category_meta . $has_after_title_meta . $has_meta_read_time . $has_read_more . $has_excerpt;
    	 ?>

    	 <?php

    	// Check for theme specific post parts

    	 if ( file_exists( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'plugin-parts/' . $theme_slug . '/content-category.php' ) ) :

    		include( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'plugin-parts/' . $theme_slug . '/content-category.php' );

    		else: ?>

    	<article class="flex-box <?php echo esc_attr( $post_class ) . ' ' . esc_attr( $post_style ); ?>">

    		<?php if ( '' !== get_the_post_thumbnail() && $show_thumbnail ) : ?>

				<div class="post-thumbnail">

					<?php
					// Formats key
					if ( get_theme_mod( 'ruki_category_featured_post_format_icons', true ) && ( has_post_format( 'video' ) || has_post_format( 'gallery' ) || has_post_format( 'audio' ) ) ) : ?>

						<div class="formats-key">

							<?php if ( has_post_format( 'video' ) ): ?>

								<span class="class-format"><i class="icon-videocam-1"></i></span>

							<?php endif; ?>

							<?php if ( has_post_format( 'audio' ) ): ?>

								<span class="class-format"><i class="icon-headphones"></i></span>

							<?php endif; ?>

							<?php if ( has_post_format( 'gallery' ) ): ?>

								<span class="class-format"><i class="icon-picture"></i></span>

							<?php endif; ?>

						</div>

					<?php endif; ?>

						<a href="<?php the_permalink(); ?>">
							<?php the_post_thumbnail( $theme_slug . '-' . $thumbnail . '-image' ); ?>
						</a>

				</div>

			<?php endif; ?>

	    	<div class="entry-header">

				<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_category', true ) ) : ?>

				<div class="entry-meta before-title">

				<ul class="author-category-meta">

					<li class="category-prepend">

						<span class="screen-reader-text">Posted</span>
						<i><?php echo esc_html__( 'in', 'ruki-featured-posts' ); ?></i>
					</li>
					<li class="category-list">
						<?php 
						if (function_exists( 'ruki_get_category' ) ) {
							echo ruki_get_category();
						} else {
							the_category( apply_filters( 'ruki_category_separator', '' ), '');
						}
						?>

					</li>

				</ul>

			</div><!-- .entry-meta -->

		<?php endif; ?>

		<?php if ( get_theme_mod( 'ruki_category_featured_entry_title', true ) ) : ?>

			<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>

		<?php endif; ?>

		<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author', true ) || get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) || get_theme_mod( 'ruki_category_featured_entry_meta_date', true ) || ( function_exists('ruki_comment_count') && get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) ) || get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false )) : ?>

			<div class="entry-meta after-title<?php echo esc_attr( $has_avatar ); ?>">

				<ul>

					<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) ) : ?>

						<li class="entry-author-avatar">

								<?php echo get_avatar( get_the_author_meta('ID'), 40 ); ?>

						</li>

						<?php endif; ?>

						<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author', true ) ) : ?>

						<li class="entry-author-meta">

							<span class="screen-reader-text"><?php echo esc_html__( 'Posted by', 'ruki-featured-posts' ); ?></span><?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_by', true ) ): ?><i><?php echo esc_html__( 'by', 'ruki-featured-posts' ) ?></i><?php endif; ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ?>"><?php echo get_the_author() ?></a>

						</li>

					<?php endif; ?>

					<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_date', true ) ): ?>
				
					<li class="entry-date">

						<time datetime="<?php echo get_the_date( 'Y-m-d' ) ?>">

							<?php if ( function_exists( 'ruki_human_entry_date' ) && get_theme_mod( 'ruki_human_entry_date', false ) ) : ?>

								<?php echo ruki_human_entry_date() ?></time>

							<?php else : ?>

								<?php echo get_the_date( ) ?>

							<?php endif; ?>

						</time>

					</li>

					<?php endif; ?>

					<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) ): ?>

					<li class="entry-comment-count">

						<?php echo get_comments_number() ?> <span><?php comments_number( __('Comments', 'ruki-featured-posts'), __('Comment', 'ruki-featured-posts'), __('Comments', 'ruki-featured-posts') ) ?></span>

					</li>

					<?php endif; ?>

					<?php if ( function_exists('ruki_read_time') && get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false ) ): ?>
				
					<li class="entry-read-time">

						<?php echo ruki_read_time( ) ?>

					</li>

					<?php endif; ?>

				</ul>

			</div>

		<?php endif; ?>

			</div><!-- .entry-header -->

			<?php if ( get_theme_mod( 'ruki_category_featured_excerpt', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' ): ?>

				<div class="entry-content">

				<?php the_excerpt( ); ?>

				</div>

			<?php endif; ?>

			<?php

			// Read more

			if ( get_theme_mod( 'ruki_category_featured_read_more', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' )  {

				echo '<div class="entry-read-more"><a href="' . esc_url( get_permalink() ) . '" class="button read-more">' . esc_html__( 'Continue Reading', 'ruki-featured-posts') . '</a></div>';
			} ?>

	    </article>

	    <?php endif; // Endif no custom template part ?>

    <?php 

	endwhile;

	// Open slick carousel wrapper if active
    		if ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) && $layout === 'carousel' ) {

    			echo '</div>';

    		}

	echo '</div>'; // Close container

	if ( apply_filters( 'ruki_category_featured_wrapper', '' ) ) {
		echo '</div>';
	}

    endif;

    wp_reset_postdata(); // Always reset

 	?>


<?php endif; ?>