<?php

/**
 * ThreeForty Featured Posts Plugin (Home Featured Posts)
 *
 * @since 1.0
 * @version 1.5
 */

?>

<?php 

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! is_front_page() || is_paged() ) {
	return; // Return if not home
}

// Include vars
include( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'inc/vars.php' );

// Theme slug/textDomain
$theme = wp_get_theme();
$theme_slug =  ( '' === $custom_theme_slug ? $theme->get( 'TextDomain' ) : $custom_theme_slug );


?>

<?php if ( is_front_page() && get_theme_mod( 'ruki_home_featured', true ) )  : ?>
	
<?php 

/**
 * Define some query arg variables
 */

if ( '' !== $post_in ) {

			// Specific posts create an array
			$post_in = explode(',', $post_in );

			$query_args = array(
			    'posts_per_page' => $post_num,
			    'post__in' => $post_in,
			    'ignore_sticky_posts' => 1,
			    'orderby' => 'post__in',
			);

		} else {

			if ( '' !== $post_format && $post_format !== 'post-format-standard' ) {
				// Post format query

				$query_args = array(
			    'posts_per_page' => $post_num,
			    'offset' => $post_offset, // Offset
				'cat' => $post_cat, // If we are diplaying posts from a category
				'tag__in' => $tag_in,
			    'ignore_sticky_posts' => 1,
			    'orderby' => $order_by, // If we are displaying popular posts
			    'post__not_in' => $post_not_in,
    			'tax_query' => array( array(
		            'taxonomy' => 'post_format',
		            'field' => 'slug',
		            'terms' => array($post_format),
		            'operator' => 'IN',
		           ) ),
    			'post_status' => array(      
					'publish',          // A published post or page.
					),
			);

			} elseif ( '' !== $post_format && $post_format === 'post-format-standard' ) {
				// Post format query

				$query_args = array(
			    'posts_per_page' => $post_num,
			    'offset' => $post_offset, // Offset
				'cat' => $post_cat, // If we are diplaying posts from a category
				'tag__in' => $tag_in,
			    'ignore_sticky_posts' => 1,
			    'orderby' => $order_by, // If we are displaying popular posts
			    'post__not_in' => $post_not_in,
    			'tax_query' => array( array(
		            'taxonomy' => 'post_format',
		            'field' => 'slug',
		            'terms' => array('post-format-image', 'post-format-gallery', 'post-format-video', 'post-format-audio'),
		            'operator' => 'NOT IN',
		           ) ),
    			'post_status' => array(      
					'publish',          // A published post or page.
					),
			);

			} else {

			$query_args = array(
			    'posts_per_page' => $post_num,
			    'offset' => $post_offset, // Offset
				'cat' => $post_cat, // If we are diplaying posts from a category
				'tag__in' => $tag_in,
			    'ignore_sticky_posts' => 1,
			    'orderby' => $order_by, // If we are displaying popular posts
			    'post__not_in' => $post_not_in,
    			'post_status' => array(      
					'publish',          // A published post or page.
					),
			);

		}

		}

	$posts_query = new WP_Query( $query_args );

    if( $posts_query->have_posts( ) ) :

    $count = 0;

     ?>

     <?php echo apply_filters( 'ruki_home_featured_wrapper', '' ); ?>


	<div id="ruki-featured-posts" class="content-area flex-grid ruki-featured-posts ruki-home-featured <?php echo esc_attr( $cols_class . $split_class . $break_class . $has_title . ' ' . $layout . $full_width ); ?>" data-poststyle="<?php echo esc_attr( $post_style ); ?>" data-slides="<?php echo esc_attr( $post_num ); ?>" data-posts="<?php echo esc_attr( $post_num ); ?>" data-slidestoshow="<?php echo esc_attr( $slides_to_show ); ?>" data-thumbnail="<?php echo esc_attr( $thumbnail ); ?>" data-initial-status="<?php echo esc_attr( $active_status ); ?>" data-fullwidth="<?php echo esc_attr( $data_full_width ); ?>" data-arrows="<?php echo esc_attr( $arrows ); ?>">

		<?php 

			if ( get_theme_mod( 'ruki_home_featured_title' ) )  {

				echo '<div class="section-header">';
				if ( get_theme_mod( 'ruki_home_featured_title' ) ) {
						echo '<h2 class="page-title">' . esc_attr( get_theme_mod( 'ruki_home_featured_title', '' ) ) . '</h2>';
				}
				echo '</div>';

			} 

		?>

		<?php

			// Open slick carousel wrapper if active
    		if ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) && $layout === 'carousel' ) :  ?>

    			<div class="slick carousel-wrapper <?php echo esc_attr( $full_width ); ?>">

    	<?php endif; ?>

 
    <?php 

    /* Start the Loop */

    while ( $posts_query->have_posts( ) ) : $posts_query->the_post(); ?>

    	<?php

    	$count++;

    	// Some in loop classes
    	$thumbnail_class = ( '' !== get_the_post_thumbnail() && $show_thumbnail ? 'has-post-thumbnail' : '' );
    	if ( has_post_format( 'video' ) && function_exists('ruki_featured_video') && ruki_featured_video() && ! $thumbnail_class && $show_video ) {
    		$thumbnail_class = 'has-post-thumbnail';
    	}
    	$thumbnail_size = ' thumbnail-' . $thumbnail;
    	$even_odd_class = ( $count % 2 == 0 ? ' even' : ' odd' );
    	$count_class = ' post-' . $count;
    	$post_class = $thumbnail_class . $thumbnail_size . $even_odd_class . $count_class . $has_category_meta . $has_after_title_meta . $has_meta_read_time . $has_read_more . $has_excerpt;
    	 ?>

    	<?php

    	// Check for theme specific post parts

    	 if ( file_exists( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'plugin-parts/' . $theme_slug . '/content-home.php' ) ) :

    		include( RUKI_FEATURED_POSTS__PLUGIN_DIR . 'plugin-parts/' . $theme_slug . '/content-home.php' );

    		else: ?>

    	<article class="flex-box <?php echo esc_attr( $post_class ) . ' ' . esc_attr( $post_style ); ?>">

    		<?php if ( '' !== get_the_post_thumbnail() && $show_thumbnail ) : ?>

				<div class="post-thumbnail">

					<?php
					// Formats key
					if ( get_theme_mod( 'ruki_home_featured_post_format_icons', true ) && ( has_post_format( 'video' ) || has_post_format( 'gallery' ) || has_post_format( 'audio' ) ) ) : ?>

						<div class="formats-key">

							<?php if ( has_post_format( 'video' ) ): ?>

								<span class="class-format"><i class="icon-videocam-1"></i></span>

							<?php endif; ?>

							<?php if ( has_post_format( 'audio' ) ): ?>

								<span class="class-format"><i class="icon-headphones"></i></span>

							<?php endif; ?>

							<?php if ( has_post_format( 'gallery' ) ): ?>

								<span class="class-format"><i class="icon-picture"></i></span>

							<?php endif; ?>

						</div>

					<?php endif; ?>

						<a href="<?php the_permalink(); ?>">
							<?php the_post_thumbnail( $theme_slug . '-' . $thumbnail . '-image' ); ?>
						</a>

				</div>

			<?php endif; ?>

	    	<div class="entry-header">

				<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_category', true ) ) : ?>

				<div class="entry-meta before-title">

				<ul class="author-category-meta">

					<li class="category-prepend">

						<span class="screen-reader-text">Posted</span>
						<i><?php echo esc_html__( 'in', 'ruki-featured-posts' ); ?></i>
					</li>
					<li class="category-list">
						<?php 
						if (function_exists( 'ruki_get_category' ) ) {
							echo ruki_get_category();
						} else {
							the_category( apply_filters( 'ruki_category_separator', '' ), '');
						}
						?>

					</li>

				</ul>

			</div><!-- .entry-meta -->

		<?php endif; ?>

		<?php if ( get_theme_mod( 'ruki_home_featured_entry_title', true ) ) : ?>

			<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>

		<?php endif; ?>

		<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_author', true ) || get_theme_mod( 'ruki_home_featured_entry_meta_author_avatar', false ) || get_theme_mod( 'ruki_home_featured_entry_meta_date', true ) || ( function_exists('ruki_comment_count') && get_theme_mod( 'ruki_home_featured_entry_meta_comment_count', true ) ) || get_theme_mod( 'ruki_home_featured_entry_meta_read_time', false )) : ?>

			<div class="entry-meta after-title<?php echo esc_attr( $has_avatar ); ?>">

				<ul>

					<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_author_avatar', false ) ) : ?>

						<li class="entry-author-avatar">

								<?php echo get_avatar( get_the_author_meta('ID'), 40 ); ?>

						</li>

						<?php endif; ?>

						<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_author', true ) ) : ?>

						<li class="entry-author-meta">

							<span class="screen-reader-text"><?php echo esc_html__( 'Posted by', 'ruki-featured-posts' ); ?></span><?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_by', true ) ): ?><i><?php echo esc_html__( 'by', 'ruki-featured-posts' ) ?></i><?php endif; ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ?>"><?php echo get_the_author() ?></a>

						</li>

					<?php endif; ?>

					<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_date', true ) ): ?>
				
					<li class="entry-date">

						<time datetime="<?php echo get_the_date( 'Y-m-d' ) ?>">

							<?php if ( function_exists( 'ruki_human_entry_date' ) && get_theme_mod( 'ruki_human_entry_date', false ) ) : ?>

								<?php echo ruki_human_entry_date() ?></time>

							<?php else : ?>

								<?php echo get_the_date( ) ?>

							<?php endif; ?>

						</time>

					</li>

					<?php endif; ?>

					<?php if ( get_theme_mod( 'ruki_home_featured_entry_meta_comment_count', true ) ): ?>

					<li class="entry-comment-count">

						<?php echo get_comments_number() ?> <span><?php comments_number( __('Comments', 'ruki-featured-posts'), __('Comment', 'ruki-featured-posts'), __('Comments', 'ruki-featured-posts') ) ?></span>

					</li>

					<?php endif; ?>

					<?php if ( function_exists('ruki_read_time') && get_theme_mod( 'ruki_home_featured_entry_meta_read_time', false ) ): ?>
				
					<li class="entry-read-time">

						<?php echo ruki_read_time( ) ?>

					</li>

					<?php endif; ?>

				</ul>

			</div>

		<?php endif; ?>

			</div><!-- .entry-header -->

			<?php if ( get_theme_mod( 'ruki_home_featured_excerpt', false ) && get_theme_mod( 'ruki_home_featured_loop_style', 'default' ) !== 'cover' ): ?>

				<div class="entry-content">

				<?php the_excerpt( ); ?>

				</div>

			<?php endif; ?>

			<?php

			// Read more

			if ( get_theme_mod( 'ruki_home_featured_read_more', false ) && get_theme_mod( 'ruki_home_featured_loop_style', 'default' ) !== 'cover' )  {

				echo '<div class="entry-read-more"><a href="' . esc_url( get_permalink() ) . '" class="button read-more">' . esc_html__( 'Continue Reading', 'ruki-featured-posts') . '</a></div>';
			} ?>

	    </article>

	<?php endif; // Endif no custom template part ?>

    <?php 

	endwhile;

			// Open slick carousel wrapper if active
    		if ( apply_filters( 'ruki_featured_posts_theme_supports_carousel', false ) && $layout === 'carousel' ) {

    			echo '</div>';

    		}

	echo '</div>'; // Close container

	if ( apply_filters( 'ruki_home_featured_wrapper', '' ) ) {
		echo '</div><!-- .featured-posts-wrapper -->';
	}

    endif;

    wp_reset_postdata(); // Always reset

 	?>


<?php endif; ?>