<?php

/**
 * Ruki Theme: Category Featued Posts Content Part
 *
 * @version 1.0
 */

?>

<article class="flex-box <?php echo esc_attr( $post_class ) . ' ' . esc_attr( $post_style ); ?>">

	<?php if ( has_post_format( 'video' ) && function_exists('ruki_featured_video') && ruki_featured_video() && $show_video ): ?>

		<div class="media-wrapper">

		<?php echo wp_kses_post( ruki_featured_video() ); ?>

		</div>

	<?php endif; ?>

	<?php if ( ( ! has_post_format( 'video') && '' !== get_the_post_thumbnail() && $show_thumbnail ) || ( has_post_format( 'video') && ( ! $show_video || $show_video && ! ruki_featured_video() ) && $show_thumbnail ) ) : ?>

		<div class="post-thumbnail">

			<?php
			// Formats key
			if ( get_theme_mod( 'ruki_category_featured_post_format_icons', true ) && ( has_post_format( 'video' ) || has_post_format( 'gallery' ) || has_post_format( 'audio' ) ) ) : ?>

				<div class="formats-key">

					<?php if ( has_post_format( 'video' ) ): ?>

						<span class="class-format"><i class="icon-videocam-1"></i></span>

					<?php endif; ?>

					<?php if ( has_post_format( 'audio' ) ): ?>

						<span class="class-format"><i class="icon-headphones"></i></span>

					<?php endif; ?>

					<?php if ( has_post_format( 'gallery' ) ): ?>

						<span class="class-format"><i class="icon-picture"></i></span>

					<?php endif; ?>

				</div>

			<?php endif; ?>

				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail( $theme_slug . '-' . $thumbnail . '-image' ); ?>
				</a>

		</div>

	<?php endif; ?>

	<div class="entry-header">

		<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_category', true ) ) : ?>

		<div class="entry-meta before-title">

		<ul class="author-category-meta">

			<li class="category-prepend">

				<span class="screen-reader-text">Posted</span>
				<i><?php echo esc_html__( 'in', 'ruki-featured-posts' ); ?></i>
			</li>
			<li class="category-list">
				<?php 
				if (function_exists( 'ruki_get_category' ) ) {
					echo ruki_get_category();
				} else {
					the_category( apply_filters( 'ruki_category_separator', '' ), '');
				}
				?>

			</li>

		</ul>

	</div><!-- .entry-meta -->

<?php endif; ?>

<?php if ( get_theme_mod( 'ruki_category_featured_entry_title', true ) ) : ?>

	<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>

<?php endif; ?>

<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author', true ) || get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) || get_theme_mod( 'ruki_category_featured_entry_meta_date', true ) || ( function_exists('ruki_comment_count') && get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) ) || get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false )) : ?>

	<div class="entry-meta after-title<?php echo esc_attr( $has_avatar ); ?>">

		<ul>

			<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author_avatar', false ) ) : ?>

				<li class="entry-author-avatar">

						<?php echo get_avatar( get_the_author_meta('ID'), 40 ); ?>

				</li>

				<?php endif; ?>

				<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_author', true ) ) : ?>

				<li class="entry-author-meta">

					<span class="screen-reader-text"><?php echo esc_html__( 'Posted by', 'ruki-featured-posts' ); ?></span><?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_by', true ) ): ?><i><?php echo esc_html__( 'by', 'ruki-featured-posts' ) ?></i><?php endif; ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ?>"><?php echo get_the_author() ?></a>

				</li>

			<?php endif; ?>

			<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_date', true ) ): ?>
		
			<li class="entry-date">

				<time datetime="<?php echo get_the_date( 'Y-m-d' ) ?>">

					<?php if ( function_exists( 'ruki_human_entry_date' ) && get_theme_mod( 'ruki_human_entry_date', false ) ) : ?>

						<?php echo ruki_human_entry_date() ?>

					<?php else : ?>

						<?php echo get_the_date( ) ?>

					<?php endif; ?>

				</time>

			</li>

			<?php endif; ?>

			<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) && ! get_theme_mod( 'ruki_category_featured_read_more', false ) ): ?>

			<li class="entry-comment-count">

				<?php echo get_comments_number() ?> <span><?php comments_number( __('Comments', 'ruki-featured-posts'), __('Comment', 'ruki-featured-posts'), __('Comments', 'ruki-featured-posts') ) ?></span>

			</li>

			<?php endif; ?>

			<?php if ( function_exists('ruki_read_time') && get_theme_mod( 'ruki_category_featured_entry_meta_read_time', false ) ): ?>
		
			<li class="entry-read-time">

				<?php echo ruki_read_time( ) ?>

			</li>

			<?php endif; ?>

		</ul>

	</div>

<?php endif; ?>

	</div><!-- .entry-header -->

	<?php if ( get_theme_mod( 'ruki_category_featured_excerpt', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' ): ?>

		<div class="entry-content">

		<?php the_excerpt( ); ?>

		</div>

	<?php endif; ?>

	<?php

	// Read more

	if ( get_theme_mod( 'ruki_category_featured_read_more', false ) && get_theme_mod( 'ruki_category_featured_loop_style', 'default' ) !== 'cover' )  : ?>

		<div class="entry-read-more">

		<a href="<?php echo esc_url( get_permalink() ); ?>" class="button read-more"><?php echo esc_html__( 'Continue reading', 'ruki-featured-posts'); ?></a>

		<?php if ( get_theme_mod( 'ruki_category_featured_entry_meta_comment_count', true ) ): ?>

		<div class="entry-comment-count">

			<?php echo get_comments_number() ?> <span><?php comments_number( __('Comments', 'ruki-featured-posts'), __('Comment', 'ruki-featured-posts'), __('Comments', 'ruki-featured-posts') ) ?></span>

		</div>

	<?php endif; ?>

	</div>

<?php endif; ?>

</article>